Subject: Re: [BUG] git cat-file does not terminate

From: Robert Wruck <[email-masked]>
Date: Wed, 09 Mar 2011 15:49:41 +0100

> I asked (1) if we can find out at runtime if we are on which version of
> cygwin1.dll, and (2) if we can have a small list of "bad" versions of
> cygwin1.dll.  If both are true, the runtime test should be trivial, no?

Currently I don't know of a programmatic way to get the cygwin version 
except `cygcheck -c cygwin` or `uname -r` but these utilities seem to 
know where to find it. I'll take a look at the source.

Unfortunately, the same cygwin version works on most platforms except 
WinXP, so its rather a platform issue and I fear that in this case all 
cygwin versions up to a currently unknown fixed version will be subject.
Depending on the machine, the "limit" at which write() fails seems to 
vary as well. In my initial report, it was about 80MB, on another 
machine it was around 200MB...

I submitted a bug report to cygwin over the weekend and tried to debug 
what's going on in cygwin1.dll but haven't gone very far yet.

-Robert